﻿@using ASP.NET_MVC5_WebShopExample.Models.ViewModels
@using ASP.NET_MVC5_WebShopExample.Constants
@model SpecificationsTableViewModel


<table class="table">
    @if (Model.IsShowCaption == true)
    {
        <caption>
            Specifications
        </caption>
    }
    <thead>
        <tr>
            <th>Name</th>
            <th>Value</th>
            <th>Unit</th>
            <th>Filter</th>
            @if (Model.IsShowActionButtons)
            {
            <th>Actions</th>
            }
        </tr>
    </thead>
    <tbody>
        @if (Model.Product.Specifications.Count > 0)
        {
            foreach (var specification in Model.Product.Specifications)
            {
                <tr>
                    <td>@specification.SpecificationType.Name</td>
                    <td>@specification.Value</td>
                    <td>@specification.SpecificationType.Unit</td>
                    <td>@specification.SpecificationType.Filter</td>
                    @if (Model.IsShowActionButtons)
                    {
                    <td class="table-actions">
                        @{ 

                            var routeValDictionary = new RouteValueDictionary()
                            {
                                { "action", "Edit" },
                                { "productId", Model.Product.ProductId },
                                { "id", specification.SpecificationId },
                                { "backUrl", Context.Request.Path + Context.Request.QueryString }
                            };
                        }
                        @Html.RouteLink("Edit", RouteNames.Specifications, routeValDictionary )
                        @{ 
                            routeValDictionary["action"] = "Details";
                        }
                        @Html.RouteLink("Details", RouteNames.Specifications, routeValDictionary )
                        @{  
                            routeValDictionary["action"] = "Delete";
                        }
                        @Html.RouteLink("Delete", RouteNames.Specifications, routeValues: routeValDictionary )
                    </td>
                    }
                </tr>
            }
        }
        else
        {
            <tr>
                <td colspan="5">
                    <div class="text-center text-warning">EMPTY</div>
                </td>
            </tr>
        }
    </tbody>
    @if (Model.IsShowFooter == true)
    {
        <tfoot>
            <tr>
                <td colspan="5">
                    <p class="text-right" style="margin: 20px 0">
                        @Html.RouteLink("Create new specification", RouteNames.Specifications, routeValues: new { action = "Create", productId = Model.Product.ProductId, backUrl = Context.Request.Path + Context.Request.QueryString })
                    </p>
                </td>
            </tr>
        </tfoot>
    }
</table>

